﻿using System.Diagnostics;
using System.Windows;
using System.Windows.Input;

namespace CommandsSample
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void CanCopy(object sender, CanExecuteRoutedEventArgs e)
        {
            e.ContinueRouting = false;
            e.CanExecute = true;
        }

        private void ExecuteCopy(object sender, ExecutedRoutedEventArgs e)
        {
            Debug.Print("Routed command executed!");
        }

        private void CanExecuteCustomCommand(object sender, CanExecuteRoutedEventArgs e)
        {
            e.ContinueRouting = false;
            e.CanExecute = true;
        }

        private void ExecuteCustomCommand(object sender, ExecutedRoutedEventArgs e)
        {
            Debug.Print("Custom routed command executed!");
        }
    }
}
